---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: include/TGUI/Animation.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_380f920385a16f176be7632160138052.html">TGUI</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Animation.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// TGUI - Texus&#39;s Graphical User Interface</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// Copyright (C) 2012-2017 Bruno Van de Velde (vdv_b@tgui.eu)</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">// This software is provided &#39;as-is&#39;, without any express or implied warranty.</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">// In no event will the authors be held liable for any damages arising from the use of this software.</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">// Permission is granted to anyone to use this software for any purpose,</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">// including commercial applications, and to alter it and redistribute it freely,</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">// subject to the following restrictions:</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">// 1. The origin of this software must not be misrepresented;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">//    you must not claim that you wrote the original software.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">//    If you use this software in a product, an acknowledgment</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">//    in the product documentation would be appreciated but is not required.</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">// 2. Altered source versions must be plainly marked as such,</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">//    and must not be misrepresented as being the original software.</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">// 3. This notice may not be removed or altered from any source distribution.</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#ifndef TGUI_ANIMATION_HPP</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#define TGUI_ANIMATION_HPP</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &lt;TGUI/Widget.hpp&gt;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="namespacetgui.html">   33</a></span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacetgui.html">tgui</a></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;{</div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437da">   38</a></span>&#160;    <span class="keyword">enum class</span> <a class="code" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437da">ShowAnimationType</a></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    {</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        <a class="code" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daa04e0385c10aefee8e4681617d2f3ef40">Fade</a>,          </div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        <a class="code" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daa85a7cd587d6142dbfc1a4de05af7b75d">Scale</a>,         </div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        <a class="code" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daa32adbe5629238fc4f536d19aa387edde">SlideToRight</a>,  </div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        <a class="code" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daa2fb2461981483dbe3d8cea762e4f6b4e">SlideToLeft</a>,   </div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        <a class="code" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daaafd419511c5120bdc1ac7e54b4e81096">SlideToBottom</a>, </div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        <a class="code" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daae646468517e881c8fba1b43c3439e9c4">SlideToTop</a>,    </div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        <a class="code" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daa7eceaa1479b5b4cdea7c6d1cce219f77">SlideFromLeft</a> = <a class="code" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daa32adbe5629238fc4f536d19aa387edde">SlideToRight</a>, </div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        <a class="code" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daaf744d5bd565fba1a73e8d920271ff752">SlideFromRight</a> = <a class="code" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daa2fb2461981483dbe3d8cea762e4f6b4e">SlideToLeft</a>, </div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <a class="code" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daad0c0f4c9fa33f30a64ebc4b5513f0723">SlideFromTop</a> = <a class="code" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daaafd419511c5120bdc1ac7e54b4e81096">SlideToBottom</a>, </div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        <a class="code" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daa1798106aa3a86db45ce376cbe5de5875">SlideFromBottom</a> = <a class="code" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daae646468517e881c8fba1b43c3439e9c4">SlideToTop</a>, </div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    };</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="keyword">namespace </span>priv</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    {</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        <span class="keyword">class </span>TGUI_API Animation</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        {</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        <span class="keyword">public</span>:</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;            <span class="keyword">enum class</span> Type</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;            {</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;                None = 0,</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;                Move = 1,</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;                Resize = 2,</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;                <a class="code" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daa04e0385c10aefee8e4681617d2f3ef40">Fade</a> = 4</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;            };</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;            <span class="keyword">virtual</span> ~Animation() = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;            Type getType() <span class="keyword">const</span>;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;            <span class="keyword">virtual</span> <span class="keywordtype">bool</span> update(sf::Time elapsedTime) = 0;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;            <span class="keyword">virtual</span> <span class="keywordtype">void</span> finish();</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        <span class="keyword">protected</span>:</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;            Type m_type = Type::None;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;            <a class="code" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> m_widget;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;            sf::Time m_totalDuration;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;            sf::Time m_elapsedTime;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;            std::function&lt;void()&gt; m_finishedCallback;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;            <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classtgui_1_1Widget.html">tgui::Widget</a>;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        };</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;        <span class="keyword">class </span>TGUI_API MoveAnimation : <span class="keyword">public</span> Animation</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;        {</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        <span class="keyword">public</span>:</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;            MoveAnimation(<a class="code" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> widget, sf::Vector2f start, sf::Vector2f end, sf::Time duration, std::function&lt;<span class="keywordtype">void</span>()&gt; finishedCallback = <span class="keyword">nullptr</span>);</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;            <span class="keyword">virtual</span> <span class="keywordtype">bool</span> update(sf::Time elapsedTime) <span class="keyword">override</span>;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;            <span class="keyword">virtual</span> <span class="keywordtype">void</span> finish() <span class="keyword">override</span>;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;        <span class="keyword">private</span>:</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;            sf::Vector2f m_startPos;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;            sf::Vector2f m_endPos;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        };</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        <span class="keyword">class </span>TGUI_API ResizeAnimation : <span class="keyword">public</span> Animation</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        {</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;        <span class="keyword">public</span>:</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;            ResizeAnimation(<a class="code" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> widget, sf::Vector2f start, sf::Vector2f end, sf::Time duration, std::function&lt;<span class="keywordtype">void</span>()&gt; finishedCallback = <span class="keyword">nullptr</span>);</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;            <span class="keyword">virtual</span> <span class="keywordtype">bool</span> update(sf::Time elapsedTime) <span class="keyword">override</span>;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;            <span class="keyword">virtual</span> <span class="keywordtype">void</span> finish() <span class="keyword">override</span>;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;        <span class="keyword">private</span>:</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;            sf::Vector2f m_startSize;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;            sf::Vector2f m_endSize;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;        };</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;        <span class="keyword">class </span>TGUI_API FadeAnimation : <span class="keyword">public</span> Animation</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;        {</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;        <span class="keyword">public</span>:</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;            FadeAnimation(<a class="code" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> widget, <span class="keywordtype">float</span> start, <span class="keywordtype">float</span> end, sf::Time duration, std::function&lt;<span class="keywordtype">void</span>()&gt; finishedCallback = <span class="keyword">nullptr</span>);</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;            <span class="keyword">virtual</span> <span class="keywordtype">bool</span> update(sf::Time elapsedTime) <span class="keyword">override</span>;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;            <span class="keyword">virtual</span> <span class="keywordtype">void</span> finish() <span class="keyword">override</span>;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;        <span class="keyword">private</span>:</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;            <span class="keywordtype">float</span> m_startOpacity;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;            <span class="keywordtype">float</span> m_endOpacity;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;        };</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    } <span class="comment">// namespace priv</span></div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;} <span class="comment">// namespace tgui</span></div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;<span class="preprocessor">#endif // TGUI_ANIMATION_HPP</span></div><div class="ttc" id="namespacetgui_html"><div class="ttname"><a href="namespacetgui.html">tgui</a></div><div class="ttdoc">Namespace that contains all TGUI functions and classes. </div><div class="ttdef"><b>Definition:</b> Animation.hpp:33</div></div>
<div class="ttc" id="namespacetgui_html_ae5f90d6756ae21ba5dd08f84138437daae646468517e881c8fba1b43c3439e9c4"><div class="ttname"><a href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daae646468517e881c8fba1b43c3439e9c4">tgui::ShowAnimationType::SlideToTop</a></div><div class="ttdoc">Slide to the top to hide or from bottom to show. </div></div>
<div class="ttc" id="namespacetgui_html_ae5f90d6756ae21ba5dd08f84138437daa2fb2461981483dbe3d8cea762e4f6b4e"><div class="ttname"><a href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daa2fb2461981483dbe3d8cea762e4f6b4e">tgui::ShowAnimationType::SlideToLeft</a></div><div class="ttdoc">Slide to the left to hide or from right to show. </div></div>
<div class="ttc" id="classtgui_1_1Widget_html"><div class="ttname"><a href="classtgui_1_1Widget.html">tgui::Widget</a></div><div class="ttdoc">The parent class for every widget. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:71</div></div>
<div class="ttc" id="namespacetgui_html_ae5f90d6756ae21ba5dd08f84138437daa85a7cd587d6142dbfc1a4de05af7b75d"><div class="ttname"><a href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daa85a7cd587d6142dbfc1a4de05af7b75d">tgui::ShowAnimationType::Scale</a></div><div class="ttdoc">Shrink to the center of the widget to hide or grow from its center to show. </div></div>
<div class="ttc" id="namespacetgui_html_ae5f90d6756ae21ba5dd08f84138437daad0c0f4c9fa33f30a64ebc4b5513f0723"><div class="ttname"><a href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daad0c0f4c9fa33f30a64ebc4b5513f0723">tgui::ShowAnimationType::SlideFromTop</a></div><div class="ttdoc">Slide from top to show or to the bottom to hide. </div></div>
<div class="ttc" id="namespacetgui_html_ae5f90d6756ae21ba5dd08f84138437da"><div class="ttname"><a href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437da">tgui::ShowAnimationType</a></div><div class="ttdeci">ShowAnimationType</div><div class="ttdoc">Type of animation to show/hide widget. </div><div class="ttdef"><b>Definition:</b> Animation.hpp:38</div></div>
<div class="ttc" id="namespacetgui_html_ae5f90d6756ae21ba5dd08f84138437daaafd419511c5120bdc1ac7e54b4e81096"><div class="ttname"><a href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daaafd419511c5120bdc1ac7e54b4e81096">tgui::ShowAnimationType::SlideToBottom</a></div><div class="ttdoc">Slide to the bottom to hide or from top to show. </div></div>
<div class="ttc" id="namespacetgui_html_ae5f90d6756ae21ba5dd08f84138437daa7eceaa1479b5b4cdea7c6d1cce219f77"><div class="ttname"><a href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daa7eceaa1479b5b4cdea7c6d1cce219f77">tgui::ShowAnimationType::SlideFromLeft</a></div><div class="ttdoc">Slide from left to show or to the right to hide. </div></div>
<div class="ttc" id="classtgui_1_1Widget_html_a388912f13898735531886bc676b14f81"><div class="ttname"><a href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">tgui::Widget::Ptr</a></div><div class="ttdeci">std::shared_ptr&lt; Widget &gt; Ptr</div><div class="ttdoc">Shared widget pointer. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:75</div></div>
<div class="ttc" id="namespacetgui_html_ae5f90d6756ae21ba5dd08f84138437daaf744d5bd565fba1a73e8d920271ff752"><div class="ttname"><a href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daaf744d5bd565fba1a73e8d920271ff752">tgui::ShowAnimationType::SlideFromRight</a></div><div class="ttdoc">Slide from right to show or to the left to hide. </div></div>
<div class="ttc" id="namespacetgui_html_ae5f90d6756ae21ba5dd08f84138437daa32adbe5629238fc4f536d19aa387edde"><div class="ttname"><a href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daa32adbe5629238fc4f536d19aa387edde">tgui::ShowAnimationType::SlideToRight</a></div><div class="ttdoc">Slide to the right to hide or from left to show. </div></div>
<div class="ttc" id="namespacetgui_html_ae5f90d6756ae21ba5dd08f84138437daa04e0385c10aefee8e4681617d2f3ef40"><div class="ttname"><a href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daa04e0385c10aefee8e4681617d2f3ef40">tgui::ShowAnimationType::Fade</a></div><div class="ttdoc">Fade widget in or out. </div></div>
<div class="ttc" id="namespacetgui_html_ae5f90d6756ae21ba5dd08f84138437daa1798106aa3a86db45ce376cbe5de5875"><div class="ttname"><a href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437daa1798106aa3a86db45ce376cbe5de5875">tgui::ShowAnimationType::SlideFromBottom</a></div><div class="ttdoc">Slide from bottom to show or to the top to hide. </div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:40 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
